package cz.frantovo.nekurak.posluchac;

import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

/**
 *
 * @author fiki
 */
public class OchranaProtiCSRF implements HttpSessionListener {

	public static final String NAZEV_ATRIBUTU = "CSRF_TOKEN";

	@Override
	public void sessionCreated(HttpSessionEvent se) {
		String csrfToken = String.valueOf(Math.random());
		se.getSession().setAttribute(NAZEV_ATRIBUTU, csrfToken);
	}

	@Override
	public void sessionDestroyed(HttpSessionEvent se) {
	}
}
